Debian DLA-3109-1:nova - LTS 安全性更新

medium Nessus Plugin ID 165186

Synopsis

遠端 Debian 主機缺少與安全性相關的更新。

描述

遠端 Debian 10 主機上安裝的多個套件受到 dla-3109 公告中提及的一個弱點影響。

- 在 OpenStack Nova 17.0.12 之前版本、18.2.2 之前的 18.x 版本、19.0.2 之前的 19.x 版本中發現一個問題。如果來自經驗證使用者的 API 要求因外部例外狀況而以故障狀況結束,則回應中可能會洩漏基礎環境的詳細資料,並可能包含敏感組態或其他資料。(CVE-2019-14433)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

升級 nova 套件。

針對 Debian 10 buster,已在第 2 版中修正此問題

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=934114

https://security-tracker.debian.org/tracker/source-package/nova

https://www.debian.org/lts/security/2022/dla-3109

https://security-tracker.debian.org/tracker/CVE-2019-14433

https://packages.debian.org/source/buster/nova

Plugin 詳細資訊

嚴重性: Medium

ID: 165186

檔案名稱: debian_DLA-3109.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/9/15

已更新: 2022/9/15

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 4

時間分數: 3

媒介: AV:N/AC:L/Au:S/C:P/I:N/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2019-14433

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:nova-api, p-cpe:/a:debian:debian_linux:nova-cells, p-cpe:/a:debian:debian_linux:nova-common, p-cpe:/a:debian:debian_linux:nova-compute, p-cpe:/a:debian:debian_linux:nova-compute-ironic, p-cpe:/a:debian:debian_linux:nova-compute-kvm, p-cpe:/a:debian:debian_linux:nova-compute-lxc, p-cpe:/a:debian:debian_linux:nova-compute-qemu, p-cpe:/a:debian:debian_linux:nova-conductor, p-cpe:/a:debian:debian_linux:nova-console, p-cpe:/a:debian:debian_linux:nova-consoleauth, p-cpe:/a:debian:debian_linux:nova-consoleproxy, p-cpe:/a:debian:debian_linux:nova-doc, p-cpe:/a:debian:debian_linux:nova-placement-api, p-cpe:/a:debian:debian_linux:nova-scheduler, p-cpe:/a:debian:debian_linux:nova-volume, p-cpe:/a:debian:debian_linux:python3-nova, cpe:/o:debian:debian_linux:10.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/9/15

弱點發布日期: 2019/8/9

參考資訊

CVE: CVE-2019-14433